Ticket #26696

iniファイルからの復元でブックマークだけ文字化けする

Open Date: 2011-11-07 12:16 Last Update: 2011-11-23 12:50

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

1.97b(ini保存)から1.98cへアップデートしたり、1.98cで古いバージョンのiniファイルから設定を復元した時に、ブックマークのローカル側のパスが文字化けしていました。 win7の64bitで使ってます。 もちろん、以前のホスト名等の文字化けは解消されている状況でした。

1.98cのリリースを読むとレジストリ保存の方は互換が大丈夫そうなので、iniファイルを使わずにレジストリ保存のままで試した所発生しませんでした。

とりあえずバージョンアップ前にレジストリ保存に設定しておけば回避できるようです。

Ticket History (3/5 Histories)

2011-11-07 12:16 Updated by: mako05
  • New Ticket "iniファイルからの復元でブックマークだけ文字化けする" created
2011-11-07 21:09 Updated by: s_kawamoto
Comment

ご報告ありがとうございます。 原因はregistory.c(1.97bの時からスペリングミスだった)のReadMultiStringFromReg関数でShift_JIS用の処理を書き忘れたことで、修正は比較的簡単ですので、次のバージョンで修正します。

2011-11-08 01:41 Updated by: s_kawamoto
Comment

修正しました。 修正は次のバージョンに適用する予定です。 http://git.sourceforge.jp/view?p=ffftp/ffftp.git;a=commit;h=5a593299024d54015563beafb4a88d946834b276

2011-11-08 15:20 Updated by: mako05
  • Resolution Update from None to Fixed
Comment

早速の対応有難う御座います!

2011-11-23 12:50 Updated by: s_kawamoto
  • Ticket Close date is changed to 2011-11-23 12:50
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login